from nbody import animate, generateObjects, plotObjectsStatic


def main():
    time = 1000
    delta_t = 10

    # testing with a binary system with 0 net initial velocity is a good bet
    data = generateObjects(2, width=10, center=0, massmult=100, vmult=0, include_blackhole=False)
    animate(data, time, delta_t, lim=(-100, 100))

    # now lets test with a realistic galaxy with a black hole
    # (note that i picked specific numbers here
    # and played with the function's default arguments
    # in order to generate pretty picture. feel free
    # to play around with your own values)
    data = generateObjects(100, include_blackhole=True)
    plotObjectsStatic(data)
    animate(data, time, delta_t, lim=(-1000, 1000))


if __name__ == "__main__":
    main()
